<?php
/* fixe un timer */

function settimer($TimerName,$String)
{
        $FileTimerName = "modules/timers/$TimerName.csv";

	if (strftime("%m", time()) < 10)
		$Date = strftime ("%Y%0m%d%H%M%S", time());
	else
		$Date = strftime ("%Y%m%d%H%M%S", time());

        $fp = fopen("$FileTimerName","w+");
        $Ligne = sprintf("\"".$Date."\",\"".$String."\"\n");
        fwrite($fp,$Ligne);
        fclose($fp);
        // echo "fichier créé<br>";
}

/* renvoie $string si le temps n'est pas écoulé, ou FALSE sinon */

function timer($TimerName,$TimerNb)
{

        $FileTimerN = "modules/timers/$TimerName.csv";

	if (strftime("%m", time()) < 10)
		$Date = strftime ("%Y%0m%d%H%M%S", time());
	else
		$Date = strftime ("%Y%m%d%H%M%S", time());

        if (!file_exists("$FileTimerN"))
        {
                $timer = FALSE;
        }
        else
        {
                // lecture de la date stockée dans le fichier
                $fp = fopen("$FileTimerN","r");
                $data = fgetcsv($fp, 1000, ",");
                fclose($fp);

		$FileDate = $data[0];
		$Date = strftime ("%Y%m%d%H%M%S", time());

                $String = $data[1];

                if ($Date >= ($FileDate+$TimerNb))
                {
                        // echo "date dépassée:".$Date." >= ".($FileDate+$TimerNb)."<br>";
                        $timer = FALSE;
                }
                else
                {
                        $timer = $String;
                }
        }

        return $timer;
}

/* renvoie l'heure française (format HH:MM) */

function iheure()
{
        if ($HTTP_GET_VARS["IFRANCE"] =="1")
                $iheure=$I_HEURE_UK;
        else
                $iheure= date("H:i");
        return $iheure;
}

?>
